libstdc++: __gnu_parallel::__binder1st< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType > Class Template Reference

libstdc++

__gnu_parallel::__binder1st< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType > Class Template Reference

`#include <base.h>`

Inheritance diagram for __gnu_parallel::__binder1st< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >:
[legend]

## Public Types
typedef _SecondArgumentType | argument_type
typedef _ResultType | result_type

## Public Member Functions
| __binder1st (const _Operation &__x, const _FirstArgumentType &__y)
_ResultType | operator() (_SecondArgumentType &__x) const
_ResultType | operator() (const _SecondArgumentType &__x)

## Protected Attributes
_Operation | _M_op
_FirstArgumentType | _M_value

## Detailed Description

template<typename _Operation, typename _FirstArgumentType, typename _SecondArgumentType, typename _ResultType>
class __gnu_parallel::__binder1st< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >

Similar to std::binder1st, but giving the argument types explicitly.

Definition at line 194 of file base.h.

## Member Typedef Documentation

## ◆ argument_type

typedef _SecondArgumentType std::unary_function< _SecondArgumentType, _ResultType >::argument_type
| inherited

`argument_type` is the type of the argument

Definition at line 123 of file stl_function.h.

## ◆ result_type

typedef _ResultType std::unary_function< _SecondArgumentType, _ResultType >::result_type
| inherited

`result_type` is the return type

Definition at line 126 of file stl_function.h.

## Constructor & Destructor Documentation

## ◆ __binder1st()

template<typename _Operation, typename _FirstArgumentType, typename _SecondArgumentType, typename _ResultType>

__gnu_parallel::__binder1st< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >::__binder1st | ( | const _Operation & | __x,
|  | const _FirstArgumentType & | __y )
| inline

Definition at line 202 of file base.h.

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename _Operation, typename _FirstArgumentType, typename _SecondArgumentType, typename _ResultType>

_ResultType __gnu_parallel::__binder1st< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >::operator() | ( | _SecondArgumentType & | __x | ) | const
| inline

Definition at line 212 of file base.h.

## ◆ operator()() [2/2]

template<typename _Operation, typename _FirstArgumentType, typename _SecondArgumentType, typename _ResultType>

_ResultType __gnu_parallel::__binder1st< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >::operator() | ( | const _SecondArgumentType & | __x | ) |
| inline

Definition at line 206 of file base.h.

## Member Data Documentation

## ◆ _M_op

template<typename _Operation, typename _FirstArgumentType, typename _SecondArgumentType, typename _ResultType>

_Operation __gnu_parallel::__binder1st< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >::_M_op
| protected

Definition at line 198 of file base.h.

## ◆ _M_value

template<typename _Operation, typename _FirstArgumentType, typename _SecondArgumentType, typename _ResultType>

_FirstArgumentType __gnu_parallel::__binder1st< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >::_M_value
| protected

Definition at line 199 of file base.h.

The documentation for this class was generated from the following file:

- base.h